Subject: Re: bug#24479: Problem opening .tex files on 25.1 under Windows 7

From: Arash Esbati <[email-masked]>
Date: Wed, 21 Sep 2016 09:22:02 +0200

Dave Footitt <[email-masked]> writes:

> Hi there,
>
>> How did you obtain your Emacs binary?  Emacs with Dbus is known *not* to
>> work on Windows.  I suggest you grab a binary built `--without-dbus',
>> put (pdf)latex in your PATH and try again.
>
> I've been using this one:
>
> https://sourceforge.net/projects/emacsbinw64/
>
> Mainly because of it's built in image and TLS support on 64 bit.
>
> But it looks like the comments thread suggest it's actually compiled with 
> Dbus (I don't even know what Dbus is!), which is frustrating because up 
> until recently everything was working!

You can find out how Emacs was built by checking this variable:

,----[ C-h v system-configuration-options RET ]
| system-configuration-options is a variable defined in ‘C source code’.
| Its value is
| "... --without-imagemagick --without-dbus ..."
| 
| Documentation:
| String containing the configuration options Emacs was built with.
`----

You can try to delete `libdbus-*.dll' in your Emacs/bin directory, maybe
that prevents Emacs from using DBus [1].

Best, Arash

PS Please keep [email-masked] in CC.

Footnotes: 
[1]  https://en.wikipedia.org/wiki/D-Bus